package com.yunfeiyun.agmp.fms.service;

import com.yunfeiyun.agmp.fms.domain.WmsAssetgoods;
import com.yunfeiyun.agmp.fms.domain.resvo.WmsGoodsAppMapResVo;
import com.yunfeiyun.agmp.fms.domain.vo.WmsAssetgoodsVo;

import java.util.List;

public interface IWmsAssetgoodsService {


    WmsAssetgoodsVo selectWmsAssetgoodsVoByGoodsId(String goodsId);
    List<WmsAssetgoodsVo> selectWmsAssetgoodsVoList(WmsAssetgoodsVo wmsAssetGoodsVo);

    List<WmsGoodsAppMapResVo> selectWmsGoodsAppMapResVo();

    int insertWmsAssetgoodsVo(WmsAssetgoods wmsAssetgoods);

    int updateWmsAssetgoodsVo(WmsAssetgoods wmsAssetgoods);

    int deleteWmsAssetgoodsVoByGoodsIds(String[] goodsIds);

    int deleteWmsAssetgoodsVoByGoodsId(String goodsId);
}
